For Developers
Update Integration Status
PATCH https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/status
Updates the lifecycle state of an integration.
Permissions
Requires either the integrations.create or integrations.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
state | String | Yes | Target state (active, inactive, or disabled). |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/status`,
{
state: 'active'
},
{
headers: {
authorization: `Bearer ${user_session_token}`,
'content-type': 'application/json'
}
}
);
Sample Response
{
"$data": {
"id": "fd8e2612-1329-4d85-bb56-95dcb27d7c92",
"status": "active"
}
}
